import { IgRect } from './IgRect';
import { ShapefileConverter as ShapefileConverter_internal } from "./ShapefileConverter";
import { ShapeType } from "./ShapeType";
import { Header } from "./Header";
/**
 * Class used to convert Shapefiles into CLR objects.
*/
export declare class ShapeDataSource {
    protected createImplementation(): ShapefileConverter_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): ShapefileConverter_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets the world bounding rectangle, as read from the header of the Shapefile.
    */
    get worldRect(): IgRect;
    set worldRect(v: IgRect);
    /**
     * Gets the shape type, as read from the header of the Shapefile.
    */
    get shapeType(): ShapeType;
    /**
     * Gets the header of the Shapefile.
    */
    get shapeHeader(): Header;
    set shapeHeader(v: Header);
}
