import { ItfConverter as ItfConverter_internal } from "./ItfConverter";
import { AsyncCompletedEventArgs } from './AsyncCompletedEventArgs';
import { TriangulationSourcePointRecord } from './TriangulationSourcePointRecord';
import { List$1 } from './List$1';
import { Triangle } from './Triangle';
/**
 * Class for converting Itf files into enumerable triangulations.
*/
export declare class TriangulationDataSource {
    protected createImplementation(): ItfConverter_internal;
    protected _implementation: any;
    get i(): ItfConverter_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets the string path specifying the location of the Itf file.
    */
    get source(): string;
    /**
     * Sets the string path specifying the location of the Itf file.
    */
    set source(v: string);
    private _importCompleted;
    private _importCompleted_wrapped;
    /**
     * Event raised when the import operation has completed
    */
    get importCompleted(): (s: any, e: AsyncCompletedEventArgs) => void;
    set importCompleted(ev: (s: any, e: AsyncCompletedEventArgs) => void);
    /**
    * Gets the point data.
    */
    getPointData(): List$1<TriangulationSourcePointRecord>;
    /**
    * Gets the triangle data.
    */
    getTriangleData(): List$1<Triangle>;
}
